DH_INSTALLCHANGELOGS(1)

NOM
dh_installchangelogs - Installer les journaux de suivi des modifications (changelog) dans les répertoires de construction du paquet

SYNOPSIS
dh_installchangelogs [options_de_debhelper] [-k] [-Xélément] [journal-amont]

DESCRIPTION
dh_installchangelogs est le programme de la suite debhelper chargé de l'installation des journaux de suivi des modifications (changelog) dans le répertoire de construction du paquet.

Un journal amont des modifications (upstream changelog) peut être indiqué en option. Si rien n'est indiqué, le processus cherche des fichiers portant des noms susceptibles d'être des changelog. (à partir de la version 7).

S'il y a un fichier changelog amont, il sera installé dans usr/share/doc/paquet/changelog du répertoire de construction du paquet.

Si le fichier changelog amont est un fichier html (d'après son extension), il sera installé dans usr/share/doc/paquet/changelog.html à la place. Si le changelog html est converti en texte, cette variante peut être définie comme un second fichier changelog amont. Lorsqu'aucune variante texte n'est spécifiée, un court usr/share/doc/paquet/changelog est généré, dirigeant les lecteurs vers le changelog html.

FICHIERS

debian/changelog
debian/NEWS
debian/paquet.changelog
debian/paquet.NEWS
    Automatiquement installés sous usr/share/doc/paquet/ dans le répertoire de construction du paquet.

    Utilisent le nom du paquet si paquet nécessite un fichier NEWS ou changelog spécifique.

    Le fichier changelog est installé avec le nom changelog pour les paquets natifs et changelog.Debian pour les paquets non natifs. Le fichier NEWS est toujours installé avec le nom NEWS.Debian.

OPTIONS

-k, --keep
    Conserve le nom original du journal amont. Ce résultat est obtenu en installant le journal amont sous le nom changelog et en créant un lien symbolique portant le nom d'origine et pointant sur le fichier changelog. Cela peut être utile si le journal amont porte un nom inhabituel ou si d'autres éléments de documentation du paquet se réfèrent à ce fichier.

-Xélément, --exclude=élément
    Exclut du traitement les journaux amont qui comportent élément n'importe où dans leur nom.

journal-amont
    Installe ce fichier en tant que journal amont de suivi des modifications.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».